Skip to content

Get the identity source that the user has logged in

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get the identity source that the user has logged in through the user ID. You can choose to specify the user ID type, etc.

Method name

ManagementClient.get_user_loggedin_identities

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
userIdstringyes-The unique identifier of the user, which can be user ID, user name, email, phone number, externalId, or ID in an external identity source. For details, see the description of the userIdType field. The default is user id.6229ffaxxxxxxxxcade3e3d9
userIdTypestringNouser_idUser ID type, the default value is user_id, the optional values are:
- user_id: GenAuth user ID, such as 6319a1504f3xxxxf214dd5b7
- phone: User phone number
- email: User email
- username: User name
- external_id: User ID in the external system, corresponding to the externalId field of GenAuth user information
- identity: User's external identity source information, the format is <extIdpId>:<userIdInIdp>, where <extIdpId> is the ID of the GenAuth identity source, and <userIdInIdp> is the ID of the user in the external identity source.
Example value: 62f20932716fbcc10d966ee5:ou_8bae746eac07cd2564654140d2a9ac61.
- sync_relation: The user's external identity source information, in the format of <provier>:<userIdInIdp>, where <provier> is the synchronization identity source type, such as wechatwork, lark; <userIdInIdp> is the user's ID in the external identity source.
Example value: lark:ou_8bae746eac07cd2564654140d2a9ac61.
user_id

Request Response

Type: UserLoggedInIdentitiesRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
dataarrayResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "identityId": "62299d8b866d2dab79a89dc4",
    "idpName": "xx",
    "idpNameEn": "wechat",
    "idpLogo": "https://example.com/logo.png",
    "idpId": "62299d8b866d2dab79a89dc4"
  }
}

Data Structure

UserLoggedInIdentitiesDto

NameTypeIs this field required?DescriptionSample value
identityIdstringYesIdentity ID62299d8b866d2dab79a89dc4
idpNamestringYesIdentity provider namewx
idpNameEnstringYesIdentity provider namewechat
idpLogostringYesIdentity provider logohttps://example.com/logo.png
idpIdstringYesIdentity provider id62299d8b866d2dab79a89dc4

Agent infrastructure for identity, memory, and web action.